package com.example.zxweb.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.example.zxweb.dto.ZxCelueDTO;
import com.example.zxweb.entity.ZxCelue;
import com.example.zxweb.vo.AddZxCeluePVO;
import com.example.zxweb.vo.QueryCelueVO;

/**
 * @Description 策略信息
 * @Author ZhouWenTao
 * @Date 2023/9/13 14:07
 */
public interface IZxCelueService extends IService<ZxCelue> {
    /**
     * 创建策略
     */
    boolean saveZxCelue(AddZxCeluePVO addZxCeluePVO);

    /**
     * 编辑策略状态
     */
    boolean editStatus(ZxCelue zxCelue);

    /**
     * 删除策略
     */
    boolean deleteZxCelue(String id);

    /**
     * 查询列表
     * @param queryCelueVO 查询对象
     * @return 列表
     */
    IPage<ZxCelueDTO> pageList(QueryCelueVO queryCelueVO);

    ZxCelueDTO getDetail(String id);
}
